Subject: Re: [PATCH net] selftests: netdevsim: Fix ethtool-features.sh fail

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Oct 2025 17:02:17 -0700

On Fri, 31 Oct 2025 00:13:59 +0100 Sabrina Dubroca wrote:
> >  set -o pipefail
> >  
> > +if ! ethtool --json -k $NSIM_NETDEV > /dev/null 2>&1; then  
> 
> I guess it's improving the situation, but I've got a system with an
> ethtool that accepts the --json argument, but silently ignores it for
>  -k (ie `ethtool --json -k $DEV` succeeds but doesn't produce a json
> output), which will still cause the test to fail later.

And --json was added to -k in Jan 2022, that's pretty long ago.
I'm not sure we need this aspect of the patch at all..
-- 
pw-bot: cr